---
title: Set.prototype.entries()
slug: Web/JavaScript/Reference/Global_Objects/Set/entries
tags:
  - ECMAScript 2015
  - Iterator
  - JavaScript
  - Method
  - Prototype
  - set
---
<div>{{JSRef}}</div>

<p>The <code><strong>entries()</strong></code> method returns a new <a href="/en-US/docs/Web/JavaScript/Guide/Iterators_and_Generators">Iterator</a> object that contains<strong> an array of <code>[value, value]</code></strong> for each element in the <code>Set</code> object, in insertion order. For <code>Set</code> objects there is no <code>key</code> like in <code>Map</code> objects. However, to keep the API similar to the <code>Map</code> object, each <em>entry</em> has the same value for its <em>key</em> and <em>value</em> here, so that an array <code>[value, value]</code> is returned.</p>

<div>{{EmbedInteractiveExample("pages/js/set-prototype-entries.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><code><em>mySet</em>.entries()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A new <code>Iterator</code> object that contains an array of <code>[value, value]</code> for each element in the given <code>Set</code>, in insertion order.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_entries">Using entries()</h3>

<pre class="brush:js notranslate">var mySet = new Set();
mySet.add('foobar');
mySet.add(1);
mySet.add('baz');

var setIter = mySet.entries();

console.log(setIter.next().value); // ["foobar", "foobar"]
console.log(setIter.next().value); // [1, 1]
console.log(setIter.next().value); // ["baz", "baz"]
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-set.prototype.entries', 'Set.prototype.entries')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Set.entries")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Set.prototype.keys()")}}</li>
 <li>{{jsxref("Set.prototype.values()")}}</li>
</ul>
